"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * oly-http error messages.
 */
exports.olyHttpErrors = {
    internalError: function () {
        return "The server encountered an unexpected condition which prevented it from fulfilling the request";
    },
    requestHasFailed: function (method, url, status) {
        if (method === void 0) { method = "GET"; }
        if (url === void 0) { url = "/"; }
        if (status === void 0) { status = 500; }
        return "Failed to fetch '" + method + " " + url + "' (" + status + ")";
    },
    requestHasFailedWithMessage: function (method, url, status, message) {
        if (method === void 0) { method = "GET"; }
        if (url === void 0) { url = "/"; }
        if (status === void 0) { status = 500; }
        return "Failed to fetch '" + method + " " + url + "' (" + status + ": " + message + ")";
    },
};
//# sourceMappingURL=errors.js.map